API ReferenceApple Identity Access certificates
Create an Apple Identity Access CSR
POST
Creates an Apple Identity Access Certificate Signing Request (CSR) that can be uploaded to the Apple Developer Portal.
This certificate contains the public key that will be used to decrypt the response from the Apple Wallet.
Roles
adminverifiercertificate-manager
Analytics Events
CREDENTIAL_PRESENTATION_APPLE_IDENTITY_ACCESS_CERTIFICATE_CREATE_STARTCREDENTIAL_PRESENTATION_APPLE_IDENTITY_ACCESS_CERTIFICATE_CREATE_SUCCESSCREDENTIAL_PRESENTATION_APPLE_IDENTITY_ACCESS_CERTIFICATE_CREATE_FAIL
bearerAuthheader
AuthorizationBearer <token>Apple Identity Access CSR payload
application/json- body
teamId*teamIdTeam ID of the iOS app.
merchantId*merchantIdThe merchantIdentifier used by PassKit to retrieve credential data.
Apple Identity Access CSR created
application/json- response
id*stringUnique identifier corresponding to the Apple Identity Access CSR.
teamId*teamIdTeam ID of the iOS app.
merchantId*merchantIdThe merchantIdentifier used by PassKit to retrieve credential data.
csrPem*stringCertificate Signing Request (CSR) in PEM format.
curl -X POST "https://example.com/v2/presentations/certificates/apple-identity-access-certificates" \ -H "Content-Type: application/json" \ -d '{ "teamId": "A2B3C4D5E6", "merchantId": "com.domain.subdomain" }'{ "id": "fd44e792-45ac-11f0-bef8-bb24f133065e", "teamId": "A2B3C4D5E6", "merchantId": "com.domain.subdomain", "csrPem": "string"}How would you rate this page?